/*
 * @Author: zhuchuanyong
 * @Date: 2021-01-26 10:17:27
 * @LastEditors: zhuchuanyong
 * @LastEditTime: 2021-01-26 13:21:57
 * @FilePath: \src\router\TabsNavigation.js
 */

import React from 'react';
import {NavigationContainer} from '@react-navigation/native';
import {createBottomTabNavigator} from '@react-navigation/bottom-tabs';
import Ionicons from 'react-native-vector-icons/Ionicons';
import Home from '../views/Home';
import Details from '../views/Details';
const Tab = createBottomTabNavigator();

export default function App() {
  return (
    <NavigationContainer>
      <Tab.Navigator
        screenOptions={({route}) => ({
          tabBarIcon: ({focused, color, size}) => {
            let iconName;

            if (route.name === 'Home') {
              iconName = 'ios-information-circle';
              //   iconName = focused
              //     ? 'ios-information-circle'
              //     : 'ios-information-circle-outline';
            } else if (route.name === 'Details') {
              //   iconName = focused ? 'ios-list-box' : 'ios-list';
              iconName = 'ios-list';
            }

            // You can return any component that you like here!
            return <Ionicons name={iconName} size={size} color={color} />;
          },
        })}
        tabBarOptions={{
          activeTintColor: 'tomato',
          inactiveTintColor: 'gray',
        }}>
        <Tab.Screen options={{title: '首页'}} name="Home" component={Home} />
        <Tab.Screen name="Details" component={Details} />
      </Tab.Navigator>
    </NavigationContainer>
  );
}
